
Application: gvSIG desktop - gvSIG bugs #4034
No puedo instalar gvSIG en windows 64
01/20/2016 01:23 PM - Álvaro Anguix

Status: Closed % Done: 0%
Target version: 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)
Severity: Minor Add-on version:
Keywords: Proyecto:
Has patch: Hito:
Description

En primer lugar al seleccionar la carpeta aparece tanto "\" como "/" (ver captura 1)
En el siguiente paso es cuando lanza el error (ver captura 2)

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3931: Problema instalaci... Closed 12/16/2015
Related to Application: gvSIG desktop - gvSIG bugs # 4076: gvSIG no arranca s... Closed 02/01/2016
Related to Application: gvSIG desktop - gvSIG bugs # 4085: Al instalar en win... Closed 02/03/2016

Associated revisions
Revision 42685 - 02/03/2016 04:51 PM - Joaquín  del Cerro Murciano

refs  #4034, #4085, eliminada la necesidad de que esten instalados los plugins org.gvsig.installer.app.mainplugin y
org.gvsig.coreplugin.app.mainplugin para arrancar el instalador de complementos de forma independiente. Asi mismo se han eliminado estos plugins
de la instalacion base del izpack, con lo que deben ser instalados por el administrador de complementos.

History
#1 - 01/20/2016 01:24 PM - Álvaro Anguix
- gvSIG build set to 2415

#2 - 01/20/2016 01:58 PM - Álvaro Anguix
- Related to gvSIG bugs #3931: Problema instalación Windows added

#3 - 01/20/2016 05:20 PM - Antonio Falciano

In order to install it on win, I usually create a dir before (e.g. C:\gvSIG-desktop-2.3.0-2415_x86_64) and then change the install dir to it. It's a bit tricky,
I know it.

#4 - 01/21/2016 11:30 AM - Joaquín  del Cerro Murciano

¿ Seleccionando una ruta a mano y no instalando en la que te ofrece tampoco funciona ?

#5 - 01/21/2016 11:51 AM - Álvaro Anguix
Tampoco, ocurre lo mismo (mensaje de captura 2).
Me da la impresión (pero es una impresión) que lo que ocurre es que va a crear la carpeta "gvSIG" directamente en "C:/", en lugar de en el home de
usuario, y no tiene permisos para ello y por eso falla.

#6 - 01/21/2016 12:00 PM - Antonio Falciano

Joaquín  del Cerro Murciano wrote:

¿ Seleccionando una ruta a mano y no instalando en la que te ofrece tampoco funciona ?

Hi Joaquín,
the installation works in both ways (if executed with elevated permission). In detail, "\/" becomes only "\" clicking on Next, so it's only a cosmetic issue,
not a blocking one. Instead, I can't reproduce the second issue reported by Alvaro.
Then no desktop link is created (#1191) and there can be some troubles in the execution of the application (#4011), but these are other separated
issues.

#7 - 01/21/2016 12:03 PM - Álvaro Anguix

Añadir que yo no instalo con permisos de administración, que puede que venga por ahí el problema.

#8 - 01/21/2016 06:48 PM - Álvaro Anguix
- Severity changed from Blocker to Minor
- Priority changed from Urgent to Normal
- Status changed from New to Invalid

Parece que esto ocurre sólo en una partición que tengo de Windows, pero en el resto que hemos probado en todos se instala correctamente. Es muy
probable que no tenga nada que ver con gvSIG y el motivo sea otro (es un Windows muy trasteado). Lo paso a invalid, y en su caso abriré otro.

#9 - 01/25/2016 10:19 AM - Joaquín  del Cerro Murciano
- Target version changed from 98 to 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)

#10 - 02/01/2016 02:30 PM - Álvaro Anguix

Nota: ejecutando el .jar con Ctrl+mayúsculas (como administrador) también funciona en este caso que he descrito.

#11 - 02/02/2016 09:59 AM - Óscar Martínez
- Status changed from Invalid to New
- File gvsig23_1.png added

Reabro ticket porque me ocurre lo mismo.
Tengo Windows 10.1 y he probado con diferentes builds de 2416 y 2417 tanto para 32b y 64b, y me ocurre lo mismo en toda me parece.
Si existe ya una carpeta creada de un anterior gvSIG en C:/Users/Nombre/gvSIG sí que instala cosas y se completa la instalación, pero no de forma
correcta.  Por ejemplo, teniendo una carpeta existente de gvSIG, se me llegó a instalar, pero al iniciarse aparecía el error de la imagen. Por lo que me
comentó Joaquín, el nombre de la librería de Scripting había cambiado y será que no puede crear esa carpeta nueva. Si entro en
C:\Users\Oscar\gvSIG_2\plugins\org.gvsig.scripting.app.mainplugin solo contiene una carpeta /scripts/ que también está vacía.

05/18/2024 2/5



Si no existe la carpeta gvSIG, no puede crearla directamente, y se cancela la instalación.

He intentando lanzarlo en modo administrador ejecutando una terminal en este modo y lanzando un java -jar pero obtengo el mismo resultado.

#12 - 02/02/2016 11:29 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4076: gvSIG no arranca si se ha instalado en una ruta que contiene espacios en blanco. added

#13 - 02/02/2016 11:33 AM - Joaquín  del Cerro Murciano
- Status changed from New to Closed

El error que te esta sacando es por que hay espacios en la ruta donde has instalado gvSIG (#4076) que esta corregido en el build 2418.
Si lo instalas en un ruta sin espacios no deberia pasarte.

#14 - 02/02/2016 11:46 AM - Antonio Falciano

Hi all,
I can confirm the issue also on Windows 7 64-bits. Just for reference, I attach

#15 - 02/02/2016 11:54 AM - Antonio Falciano
- File gvSIG.cmd_2417.txt added
- File gvSIG-launcher_2417.log added
- File gvSIG-installer_2417.log added

Ops... I've clicked on Submit instead of Browse, sorry...
Further info: firstly, there's a warning message in the gvSIG-installer.log about problems uncompressing a plugin. Then gvSIG.sh is not able to check
the plugin dependencies due to the space in "C:\Program Files" folder. Thus, some library paths are not loaded correctly because they're splitted in two
parts using space as separator.
I've not noticed this issue because I've tested 2417 directly on C:\ using a folder without spaces.

#16 - 02/02/2016 03:35 PM - Antonio Falciano
- File gvSIG-launcher_2418.log added
- File gvSIG-installer_2418.log added
- File gvSIG.cmd_2418.txt added

Similar issue with build 2418. I attach the same files of before in order to see the differences.
The installation seems to end successfully, then gvSIG-desktop.cmd ends prematurely (see gvSIG.cmd_2418.txt).

#17 - 02/02/2016 03:46 PM - Antonio Falciano
- Target version changed from 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Closed to New

A new error introduced in build 2418 is the separator in LD_LIBRARY_PATH (see gvSIG-launcher_2418.log):

LD_LIBRARY_PATH=C:/Program Files/gvSIG-desktop-2.3.0{CPSEP}...
In gvSIG.sh (see #4042) it should be:

add_library_path() {
  #logger_info "add_library_path $1" 
  LD_LIBRARY_PATH="$1${CPSEP}$LD_LIBRARY_PATH" 
  GVSIG_NATIVE_LIBS="$1${CPSEP}$GVSIG_NATIVE_LIBS" 
  PATH="$1${CPSEP}$PATH" 
}

The $ is missing before {CPSEP} actually.

#18 - 02/02/2016 04:36 PM - Antonio Falciano

If I copy the cmd to launch gvSIG and execute it from command line, the following exception occurs:

Exception in thread "main" java.io.FileNotFoundException: C:\Program Files\gvSIG
-desktop-2.3.0\gvSIG\extensiones\org.gvsig.installer.app.mainplugin\config.xml (
Accesso negato)
        [...]

But in the org.gvsig.installer.app.mainplugin folder there's only a lib subfolder with org.gvsig.installer.app.mainplugin-2.0.124.jar, so its installation is
damaged (see gvSIG-installer_2418.log).

#19 - 02/02/2016 05:37 PM - Antonio Falciano
- File gvsigsh.patch added

I attach a patch that solves the gvSIG.sh related issues (fixes also #4042 and some typos).
It remains only org.gvsig.installer.app.mainplugin to fix.
I'm sorry to have bothered you in this ticket.

#20 - 02/02/2016 06:12 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2419  (rev. org.gvsig.desktop-2.0.125)
- Status changed from New to Fixed

#21 - 02/03/2016 10:06 AM - Antonio Falciano
- Target version changed from 2.3.0-2419  (rev. org.gvsig.desktop-2.0.125) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from Fixed to New

Same issue also with build 2419. It was fixed only #4042.
The problems when checking the native libraries dependencies (see the patch I attached yesterday) and with org.gvsig.installer.app.mainplugin still
remain.
Here's an extract from the gvSIG-installer.log:

INFO Package install org.gvsig.installer.lib.impl.utils.Decompress - delete C:\Program
Files\gvSIG-desktop-2.3.0\gvSIG\extensiones\org.gvsig.installer.app.mainplugin
WARN Package install org.gvsig.installer.lib.impl.utils.Decompress - Problems uncompresing plugin (last entry
'org.gvsig.installer.app.mainplugin\'.
java.io.IOException: Unable to delete file: C:\Program
Files\gvSIG-desktop-2.3.0\gvSIG\extensiones\org.gvsig.installer.app.mainplugin\lib\org.gvsig.installer.app.mainplugin-2.0.125.jar
    at org.apache.commons.io.FileUtils.forceDelete(FileUtils.java:2279)
    [...]

#22 - 02/03/2016 05:03 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4085: Al instalar en windows en la carpeta por defecto gvSIG no arranca. added

#23 - 02/10/2016 12:07 PM - Álvaro Anguix
- Status changed from New to Closed

The last build can be installed in win64.
Any bug related to this must be open in another ticket.

#24 - 02/12/2016 03:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)

Files
Captura1.PNG 2.85 KB 01/20/2016 Álvaro Anguix
Captura2.PNG 59.7 KB 01/20/2016 Álvaro Anguix
gvsig23_1.png 25 KB 02/02/2016 Óscar Martínez
gvSIG-launcher_2417.log 8.49 KB 02/02/2016 Antonio Falciano
gvSIG-installer_2417.log 88 KB 02/02/2016 Antonio Falciano
gvSIG.cmd_2417.txt 9 KB 02/02/2016 Antonio Falciano
gvSIG.cmd_2418.txt 10.2 KB 02/02/2016 Antonio Falciano
gvSIG-launcher_2418.log 9.17 KB 02/02/2016 Antonio Falciano
gvSIG-installer_2418.log 88.7 KB 02/02/2016 Antonio Falciano
gvsigsh.patch 8.97 KB 02/02/2016 Antonio Falciano
